SyntaxHighlighter Class Reference

`#include <PythonSyntaxHighlighter.h>`

Inheritance diagram for SyntaxHighlighter:

## Classes

struct | HighlightingRule

## Public Member Functions

| SyntaxHighlighter (ScriptEdit *parent)

## Protected Member Functions

void | highlightBlock (const QString &text)
| Parentheses matching code taken from Qt Quarterly Issue 31 · Q3 2009. More...

## Protected Attributes

QTextCharFormat | commentFormat
QTextCharFormat | functionFormat
QVector< HighlightingRule > | highlightingRules
QTextCharFormat | numericFormat
QTextCharFormat | quotationFormat

## Constructor & Destructor Documentation

SyntaxHighlighter::SyntaxHighlighter | ( | ScriptEdit * | parent | ) |

References ScriptingEnv::application(), commentFormat, ApplicationWindow::d_comment_highlight_color, ApplicationWindow::d_function_highlight_color, ApplicationWindow::d_numeric_highlight_color, ApplicationWindow::d_quotation_highlight_color, SyntaxHighlighter::HighlightingRule::format, functionFormat, highlightingRules, numericFormat, SyntaxHighlighter::HighlightingRule::pattern, quotationFormat, and scripted::scriptingEnv().

## Member Function Documentation

void SyntaxHighlighter::highlightBlock | ( | const QString & | text | ) |

protected

Parentheses matching code taken from Qt Quarterly Issue 31 · Q3 2009.

References ParenthesisInfo::character, SyntaxHighlighter::HighlightingRule::format, highlightingRules, TextBlockData::insert(), SyntaxHighlighter::HighlightingRule::pattern, and ParenthesisInfo::position.

Referenced by PythonSyntaxHighlighter::highlightBlock().

## Member Data Documentation

QTextCharFormat SyntaxHighlighter::commentFormat

protected

Referenced by PythonSyntaxHighlighter::highlightBlock(), and SyntaxHighlighter().

QTextCharFormat SyntaxHighlighter::functionFormat

protected

Referenced by SyntaxHighlighter().

QVector<HighlightingRule> SyntaxHighlighter::highlightingRules

protected

Referenced by highlightBlock(), and SyntaxHighlighter().

QTextCharFormat SyntaxHighlighter::numericFormat

protected

Referenced by SyntaxHighlighter().

QTextCharFormat SyntaxHighlighter::quotationFormat

protected

Referenced by SyntaxHighlighter().

The documentation for this class was generated from the following files:

- qtiplot/src/scripting/PythonSyntaxHighlighter.h
- qtiplot/src/scripting/PythonSyntaxHighlighter.cpp